Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.commons
[Java] Interface ApplicationAttributes

    public interface ApplicationAttributes

Authors:
  Graeme Rocher

Since:
  0.4

Field Summary
`java.lang.String` | `APPLICATION_CONTEXT`
`java.lang.String` | `PARENT_APPLICATION_CONTEXT`
`java.lang.String` | `PLUGIN_MANAGER`
`java.lang.String` | `REQUEST_SCOPE_ID`

Method Summary
`org.springframework.context.ApplicationContext` | `getApplicationContext()` @return The application context for servlet
`GrailsApplication` | `getGrailsApplication()` @return Retrieves the grails application instance

Field Detail

### APPLICATION_CONTEXT

    public java.lang.String APPLICATION_CONTEXT

### PARENT_APPLICATION_CONTEXT

    public java.lang.String PARENT_APPLICATION_CONTEXT

### PLUGIN_MANAGER

    public java.lang.String PLUGIN_MANAGER

### REQUEST_SCOPE_ID

    public java.lang.String REQUEST_SCOPE_ID

Method Detail

### getApplicationContext

    public org.springframework.context.ApplicationContext getApplicationContext()

  Returns:
    The application context for servlet

### getGrailsApplication

    public GrailsApplication getGrailsApplication()

  Returns:
    Retrieves the grails application instance

Groovy Documentation